# prefix-from-QName

Extracts the prefix component of a QName value. Returns an empty sequence if the QName has no prefix.

prefix-from-QName($arg as xs:QName?) → xs:NCName?

Arguments
| $arg | xs:QName? | The QName whose prefix component is required
Result | xs:NCName?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next